LibreOffice LibreOffice 5.3 SDK API Reference

Modules | Variables
StatusBarFunction.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sheet
| Spreadsheet specific interfaces.

## Constant Groups
constants | com::sun::star::sheet::StatusBarFunction
| used to specify the function used to calculate a result in the spreadsheet's status bar.

## Variables
const short | NONE = 0
| nothing is calculated. More...
const short | AVERAGE = 1
| average of all numerical values is calculated. More...
const short | COUNTNUMS = 2
| all values, including non-numerical values, are counted. More...
const short | COUNT = 3
| numerical values are counted. More...
const short | MAX = 4
| maximum value of all numerical values is calculated. More...
const short | MIN = 5
| minimum value of all numerical values is calculated. More...
const short | SUM = 9
| sum of all numerical values is calculated. More...